Bug 108056 - Writer's SubtractFlysAnchoredAtFlys compat option results in rendering artifacts
Summary: Writer's SubtractFlysAnchoredAtFlys compat option results in rendering artifacts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
: 107938 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-05-24 13:11 UTC by Miklos Vajna
Modified: 2017-05-31 11:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (4.09 KB, application/vnd.oasis.opendocument.text-flat-xml)
2017-05-24 13:11 UTC, Miklos Vajna
Details
Current PDF export result (10.48 KB, application/pdf)
2017-05-24 13:12 UTC, Miklos Vajna
Details
How it looks like with 400% zoom (8.00 KB, image/png)
2017-05-24 13:13 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2017-05-24 13:11:38 UTC
Created attachment 133512 [details]
Reproducer document.

See the attached document. When exporting to PDF, unexpected white horizontal and vertical lines are visible when zooming in.
Comment 1 Miklos Vajna 2017-05-24 13:12:10 UTC
Created attachment 133513 [details]
Current PDF export result
Comment 2 Miklos Vajna 2017-05-24 13:13:33 UTC
Created attachment 133514 [details]
How it looks like with 400% zoom
Comment 3 Miklos Vajna 2017-05-25 13:06:58 UTC
Commit e6bdcfb8e0bdd456f81d4391df355a76be13afd3 fixes the vertical lines.
Comment 4 Xisco Faulí 2017-05-25 13:22:38 UTC
*** Bug 107938 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2017-05-25 14:39:16 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e6bdcfb8e0bdd456f81d4391df355a76be13afd3

tdf#108056 sw SubtractFlys: fix off-by-one error in clip rectangle calculation

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-05-25 15:56:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05dc747caf5b8fef6bd95a999cb6098f2b4dbc7

tdf#108056 PDF export: work with double page size

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-05-25 19:15:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a2ccb419c5face6fbf56b1a4877e675d4cd5fe8&h=libreoffice-5-4

tdf#108056 PDF export: work with double page size

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-05-26 15:26:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87d62a6222932d36c91d7b69240c7bccbf4e46be

tdf#108056 sw SubtractFlys: work with a polypolygon directly

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-05-26 21:17:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0714d2f3009bbb24501561c1a8e96a6feb9a42ca

tdf#108056 sw SubtractFlys: add missing expansion of the clip path

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-05-26 21:17:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f85ded43446b17fbfdd868cc057ba39666d3d7cb

tdf#108056 sw: add UI to disable SubtractFlysAnchoredAtFlys compat option

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-05-31 11:44:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=657a01ef00064f8f7cf7e81582f44064417321a8&h=libreoffice-5-4

tdf#108056 sw SubtractFlys: work with a polypolygon directly

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-05-31 11:44:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c547cf9b8c14062b2e6bb3ba9ee6541bd9e16fba&h=libreoffice-5-4

tdf#108056 sw SubtractFlys: add missing expansion of the clip path

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-05-31 11:44:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4900b5c3516c5144f5ce31bc112cadc71e5a5afe&h=libreoffice-5-4

tdf#108056 sw: add UI to disable SubtractFlysAnchoredAtFlys compat option

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.